From bc0ef8bc46e0faadafe26ca81b940ec8e601a412 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: May 22 2015 13:22:27 +0000
Subject: [PATCH 24/1001] Be careful for widgets that have no arguments.


---

diff --git a/hubs/models.py b/hubs/models.py
index 660bb9f..352854e 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -118,11 +118,8 @@ class Hub(BASE):
 def _config_default(context):
     plugin_name = context.current_parameters['plugin']
     plugin = widgets.registry[plugin_name]
-
-    print plugin.widget_arguments
-    return json.dumps(dict([
-        (arg.name, arg.default) for arg in plugin.widget_arguments
-    ]))
+    arguments = getattr(plugin, 'widget_arguments', [])
+    return json.dumps(dict([(arg.name, arg.default) for arg in arguments]))
 
 
 class Widget(BASE):

